mod api;
mod args;
mod commands;
mod config;

use crate::args::ToggleState;
use clap::Parser;
use eyre::Result;

#[tokio::main]
async fn main() -> Result<()> {
    let args = args::Args::parse();
    let config = config::resolve().await?;

    match &args.command {
        args::Commands::Toggle { id, state } => {
            commands::toggle::exec(config, id, state).await?;
        }
        args::Commands::List => {
            commands::list::exec(config).await?;
        }
        args::Commands::Inspect => {
            panic!("Not implemented");
        }
    }

    Ok(())
}
